Flash Video Downloader - YouTube HD Download [4K] doesn't work properly

NEW
Unassigned

Status

()

Firefox
Extension Compatibility
10 months ago
8 months ago

People

(Reporter: atlanto, Unassigned)

Tracking

({addon-compat, regression})

55 Branch
addon-compat, regression
Points:
---

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox53 unaffected, firefox54 unaffected, firefox55 fix-optional)

Details

(Reporter)

Description

10 months ago
Flash Video Downloader - YouTube HD Download [4K] 15.0.11

Download panel won't be opened. New tab(resource://artur-dot-dubovoy-at-gmail-dot-com/data/fennec.html) is opened instead.
(download function is working though)

OS:
Manjaro xfce 17.0.1, LinuxMint 18.1, Windows10 1703

mozregression:
11:46.70 INFO: Last good revision: 895164016ae91086fe04e1f5cafbaa3e46f3805d
11:46.70 INFO: First bad revision: b9a1e8ade106a8bce340b1717dea4870543536b9
11:46.70 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=895164016ae91086fe04e1f5cafbaa3e46f3805d&tochange=b9a1e8ade106a8bce340b1717dea4870543536b9

11:48.52 INFO: Looks like the following bug has the  changes which introduced the regression:
https://bugzilla.mozilla.org/show_bug.cgi?id=1314861
(Reporter)

Updated

10 months ago
Blocks: 1314861

Updated

10 months ago
Status: UNCONFIRMED → NEW
status-firefox53: --- → unaffected
status-firefox54: --- → unaffected
status-firefox55: --- → affected
status-firefox-esr52: --- → unaffected
Ever confirmed: true
Keywords: addon-compat, regression
Is this related to bug 1356883?
Flags: needinfo?(kmaglione+bmo)
Yes. It looks like the simple-settings code now fails when the default value is null, and doesn't finish setting the rest of the preferences.
Flags: needinfo?(kmaglione+bmo)
Shell, is this something to track?
Flags: needinfo?(sescalante)

Comment 4

10 months ago
Thanks Mike - this bug was added to their general migration plans tracking.  I will put on our todo list for our team helping people migrate to webextensions.
Flags: needinfo?(sescalante)
status-firefox55: affected → fix-optional
You need to log in before you can comment on or make changes to this bug.